{% set page = {
    title: 'Page title'
} %}
{% extends "_base.njk" %}

{% block content %}

{% filter markdown %}

# Index page

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.

## Title secondary

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.

### Data loading

```njk
{% raw %}
{% set products = getDatas('./src/datas/products.js') %}
{% endraw %}
```

**Example with a javascript file :**

{% set products = getDatas('./src/datas/products.js') %}
{% for product in products %}
{{product|dump(2)}}
{% endfor %}



**Example with a Yaml file**

https://yaml.org/spec/1.2/spec.html

{% set sample = getDatas('./src/datas/sample.yaml') %}


```
{{sample|dump(2) }}
```


```
{{ page|dump(2) }}
```

{% endfilter %}

<pre>
  <code>
{{ app|dump(2) }}
{{ page|dump(2) }}
  </code>
</pre>


{% endblock %}
